﻿/*Silde bar*/
.bi {
    display: inline-block;
    width: 1rem;
    height: 1rem;
}
/*
 * Sidebar
 */

@media (min-width: 768px) {
    .sidebar .offcanvas-lg {
        position: -webkit-sticky;
        position: sticky;
        top: 48px;
    }

    .navbar-search {
        display: block;
    }
}

.sidebar .nav-link {
    font-size: .875rem;
    font-weight: 500;
}

    .sidebar .nav-link.active {
        color: #2470dc;
    }

.sidebar-heading {
    font-size: .75rem;
}

/*
 * Navbar
 */
.border-left-primary {
    border-left: 0.25rem solid red !important;
}

.navbar-brand {
    padding-top: .75rem;
    padding-bottom: .75rem;
    background-color: rgba(0, 0, 0, .25);
    box-shadow: inset -1px 0 0 rgba(0, 0, 0, .25);
}

.navbar .form-control {
    padding: .75rem 1rem;
}

/* Set padding to keep content from hitting the edges */
.topbanner {
    background-color: white;
    background-image: url('../images/bgr.png');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.bd-placeholder-img {
    font-size: 1.125rem;
    text-anchor: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

.divider-separator {
    width: 8%;
    height: 2px;
    margin: 0 auto;
    background-color: #ea1a25;
}

@media (min-width: 768px) {
    .bd-placeholder-img-lg {
        font-size: 3.5rem;
    }
}

.full-viewer {
    width: 100%;
    table-layout: auto;
    overflow-x: auto;
}

.b-example-divider {
    width: 100%;
    height: 3rem;
    background-color: rgba(0, 0, 0, .1);
    border: solid rgba(0, 0, 0, .15);
    border-width: 1px 0;
    box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
}

.dataTables_filter {
    float: right;
    text-align: right;
}

.b-example-vr {
    flex-shrink: 0;
    width: 1.5rem;
    height: 100vh;
}

.bi {
    vertical-align: -.125em;
    fill: currentColor;
}

.nav-scroller {
    position: relative;
    z-index: 2;
    height: 2.75rem;
    overflow-y: hidden;
}

    .nav-scroller .nav {
        display: flex;
        flex-wrap: nowrap;
        padding-bottom: 1rem;
        margin-top: -1px;
        overflow-x: auto;
        text-align: center;
        white-space: nowrap;
        -webkit-overflow-scrolling: touch;
    }

.body-content {
    margin-top: 15px;
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

.panel {
    margin-bottom: 20px;
    background-color: #fff;
    border: 1px solid transparent;
    border-radius: 4px;
    -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
    box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
}

.panel-body {
    padding: 15px;
}

.panel > .list-group {
    margin-bottom: 0;
}

    .panel > .list-group .list-group-item {
        border-width: 1px 0;
        border-radius: 0;
    }

        .panel > .list-group .list-group-item:first-child {
            border-top: 0;
        }

        .panel > .list-group .list-group-item:last-child {
            border-bottom: 0;
        }

    .panel > .list-group:first-child .list-group-item:first-child {
        border-top-left-radius: 3px;
        border-top-right-radius: 3px;
    }

    .panel > .list-group:last-child .list-group-item:last-child {
        border-bottom-right-radius: 3px;
        border-bottom-left-radius: 3px;
    }

.panel-heading + .list-group .list-group-item:first-child {
    border-top-width: 0;
}

.panel > .table,
.panel > .table-responsive > .table {
    margin-bottom: 0;
}

    .panel > .table:first-child > thead:first-child > tr:first-child td:first-child,
    .panel > .table-responsive:first-child > .table:first-child > thead:first-child > tr:first-child td:first-child,
    .panel > .table:first-child > tbody:first-child > tr:first-child td:first-child,
    .panel > .table-responsive:first-child > .table:first-child > tbody:first-child > tr:first-child td:first-child,
    .panel > .table:first-child > thead:first-child > tr:first-child th:first-child,
    .panel > .table-responsive:first-child > .table:first-child > thead:first-child > tr:first-child th:first-child,
    .panel > .table:first-child > tbody:first-child > tr:first-child th:first-child,
    .panel > .table-responsive:first-child > .table:first-child > tbody:first-child > tr:first-child th:first-child {
        border-top-left-radius: 3px;
    }

    .panel > .table:first-child > thead:first-child > tr:first-child td:last-child,
    .panel > .table-responsive:first-child > .table:first-child > thead:first-child > tr:first-child td:last-child,
    .panel > .table:first-child > tbody:first-child > tr:first-child td:last-child,
    .panel > .table-responsive:first-child > .table:first-child > tbody:first-child > tr:first-child td:last-child,
    .panel > .table:first-child > thead:first-child > tr:first-child th:last-child,
    .panel > .table-responsive:first-child > .table:first-child > thead:first-child > tr:first-child th:last-child,
    .panel > .table:first-child > tbody:first-child > tr:first-child th:last-child,
    .panel > .table-responsive:first-child > .table:first-child > tbody:first-child > tr:first-child th:last-child {
        border-top-right-radius: 3px;
    }

    .panel > .table:last-child > tbody:last-child > tr:last-child td:first-child,
    .panel > .table-responsive:last-child > .table:last-child > tbody:last-child > tr:last-child td:first-child,
    .panel > .table:last-child > tfoot:last-child > tr:last-child td:first-child,
    .panel > .table-responsive:last-child > .table:last-child > tfoot:last-child > tr:last-child td:first-child,
    .panel > .table:last-child > tbody:last-child > tr:last-child th:first-child,
    .panel > .table-responsive:last-child > .table:last-child > tbody:last-child > tr:last-child th:first-child,
    .panel > .table:last-child > tfoot:last-child > tr:last-child th:first-child,
    .panel > .table-responsive:last-child > .table:last-child > tfoot:last-child > tr:last-child th:first-child {
        border-bottom-left-radius: 3px;
    }

    .panel > .table:last-child > tbody:last-child > tr:last-child td:last-child,
    .panel > .table-responsive:last-child > .table:last-child > tbody:last-child > tr:last-child td:last-child,
    .panel > .table:last-child > tfoot:last-child > tr:last-child td:last-child,
    .panel > .table-responsive:last-child > .table:last-child > tfoot:last-child > tr:last-child td:last-child,
    .panel > .table:last-child > tbody:last-child > tr:last-child th:last-child,
    .panel > .table-responsive:last-child > .table:last-child > tbody:last-child > tr:last-child th:last-child,
    .panel > .table:last-child > tfoot:last-child > tr:last-child th:last-child,
    .panel > .table-responsive:last-child > .table:last-child > tfoot:last-child > tr:last-child th:last-child {
        border-bottom-right-radius: 3px;
    }

.panel > .panel-body + .table,
.panel > .panel-body + .table-responsive {
    border-top: 1px solid #ddd;
}

.panel > .table > tbody:first-child > tr:first-child th,
.panel > .table > tbody:first-child > tr:first-child td {
    border-top: 0;
}

.panel > .table-bordered,
.panel > .table-responsive > .table-bordered {
    border: 0;
}

    .panel > .table-bordered > thead > tr > th:first-child,
    .panel > .table-responsive > .table-bordered > thead > tr > th:first-child,
    .panel > .table-bordered > tbody > tr > th:first-child,
    .panel > .table-responsive > .table-bordered > tbody > tr > th:first-child,
    .panel > .table-bordered > tfoot > tr > th:first-child,
    .panel > .table-responsive > .table-bordered > tfoot > tr > th:first-child,
    .panel > .table-bordered > thead > tr > td:first-child,
    .panel > .table-responsive > .table-bordered > thead > tr > td:first-child,
    .panel > .table-bordered > tbody > tr > td:first-child,
    .panel > .table-responsive > .table-bordered > tbody > tr > td:first-child,
    .panel > .table-bordered > tfoot > tr > td:first-child,
    .panel > .table-responsive > .table-bordered > tfoot > tr > td:first-child {
        border-left: 0;
    }

    .panel > .table-bordered > thead > tr > th:last-child,
    .panel > .table-responsive > .table-bordered > thead > tr > th:last-child,
    .panel > .table-bordered > tbody > tr > th:last-child,
    .panel > .table-responsive > .table-bordered > tbody > tr > th:last-child,
    .panel > .table-bordered > tfoot > tr > th:last-child,
    .panel > .table-responsive > .table-bordered > tfoot > tr > th:last-child,
    .panel > .table-bordered > thead > tr > td:last-child,
    .panel > .table-responsive > .table-bordered > thead > tr > td:last-child,
    .panel > .table-bordered > tbody > tr > td:last-child,
    .panel > .table-responsive > .table-bordered > tbody > tr > td:last-child,
    .panel > .table-bordered > tfoot > tr > td:last-child,
    .panel > .table-responsive > .table-bordered > tfoot > tr > td:last-child {
        border-right: 0;
    }

    .panel > .table-bordered > thead > tr:first-child > th,
    .panel > .table-responsive > .table-bordered > thead > tr:first-child > th,
    .panel > .table-bordered > tbody > tr:first-child > th,
    .panel > .table-responsive > .table-bordered > tbody > tr:first-child > th,
    .panel > .table-bordered > tfoot > tr:first-child > th,
    .panel > .table-responsive > .table-bordered > tfoot > tr:first-child > th,
    .panel > .table-bordered > thead > tr:first-child > td,
    .panel > .table-responsive > .table-bordered > thead > tr:first-child > td,
    .panel > .table-bordered > tbody > tr:first-child > td,
    .panel > .table-responsive > .table-bordered > tbody > tr:first-child > td,
    .panel > .table-bordered > tfoot > tr:first-child > td,
    .panel > .table-responsive > .table-bordered > tfoot > tr:first-child > td {
        border-top: 0;
    }

    .panel > .table-bordered > thead > tr:last-child > th,
    .panel > .table-responsive > .table-bordered > thead > tr:last-child > th,
    .panel > .table-bordered > tbody > tr:last-child > th,
    .panel > .table-responsive > .table-bordered > tbody > tr:last-child > th,
    .panel > .table-bordered > tfoot > tr:last-child > th,
    .panel > .table-responsive > .table-bordered > tfoot > tr:last-child > th,
    .panel > .table-bordered > thead > tr:last-child > td,
    .panel > .table-responsive > .table-bordered > thead > tr:last-child > td,
    .panel > .table-bordered > tbody > tr:last-child > td,
    .panel > .table-responsive > .table-bordered > tbody > tr:last-child > td,
    .panel > .table-bordered > tfoot > tr:last-child > td,
    .panel > .table-responsive > .table-bordered > tfoot > tr:last-child > td {
        border-bottom: 0;
    }

.panel > .table-responsive {
    margin-bottom: 0;
    border: 0;
}

.panel-heading {
    padding: 10px 15px;
    border-bottom: 1px solid transparent;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
}

    .panel-heading > .dropdown .dropdown-toggle {
        color: inherit;
    }

.panel-title {
    margin-top: 0;
    margin-bottom: 0;
    font-size: 16px;
    color: inherit;
}

    .panel-title > a {
        color: inherit;
    }

.panel-footer {
    padding: 10px 15px;
    background-color: #f5f5f5;
    border-top: 1px solid #ddd;
    border-bottom-right-radius: 3px;
    border-bottom-left-radius: 3px;
}

.panel-group {
    margin-bottom: 20px;
}

    .panel-group .panel {
        margin-bottom: 0;
        overflow: hidden;
        border-radius: 4px;
    }

        .panel-group .panel + .panel {
            margin-top: 5px;
        }

    .panel-group .panel-heading {
        border-bottom: 0;
    }

        .panel-group .panel-heading + .panel-collapse .panel-body {
            border-top: 1px solid #ddd;
        }

    .panel-group .panel-footer {
        border-top: 0;
    }

        .panel-group .panel-footer + .panel-collapse .panel-body {
            border-bottom: 1px solid #ddd;
        }

.panel-default {
    border-color: #ddd;
}

    .panel-default > .panel-heading {
        color: #333;
        background-color: #f5f5f5;
        border-color: #ddd;
    }

        .panel-default > .panel-heading + .panel-collapse .panel-body {
            border-top-color: #ddd;
        }

    .panel-default > .panel-footer + .panel-collapse .panel-body {
        border-bottom-color: #ddd;
    }

.panel-primary {
    border-color: #428bca;
}

    .panel-primary > .panel-heading {
        color: #fff;
        background-color: #428bca;
        border-color: #428bca;
    }

        .panel-primary > .panel-heading + .panel-collapse .panel-body {
            border-top-color: #428bca;
        }

    .panel-primary > .panel-footer + .panel-collapse .panel-body {
        border-bottom-color: #428bca;
    }

.panel-success {
    border-color: #d6e9c6;
}

    .panel-success > .panel-heading {
        color: #3c763d;
        background-color: #dff0d8;
        border-color: #d6e9c6;
    }

        .panel-success > .panel-heading + .panel-collapse .panel-body {
            border-top-color: #d6e9c6;
        }

    .panel-success > .panel-footer + .panel-collapse .panel-body {
        border-bottom-color: #d6e9c6;
    }

.panel-info {
    border-color: #bce8f1;
}

    .panel-info > .panel-heading {
        color: #31708f;
        background-color: #d9edf7;
        border-color: #bce8f1;
    }

        .panel-info > .panel-heading + .panel-collapse .panel-body {
            border-top-color: #bce8f1;
        }

    .panel-info > .panel-footer + .panel-collapse .panel-body {
        border-bottom-color: #bce8f1;
    }

.panel-warning {
    border-color: #faebcc;
}

    .panel-warning > .panel-heading {
        color: #8a6d3b;
        background-color: #fcf8e3;
        border-color: #faebcc;
    }

        .panel-warning > .panel-heading + .panel-collapse .panel-body {
            border-top-color: #faebcc;
        }

    .panel-warning > .panel-footer + .panel-collapse .panel-body {
        border-bottom-color: #faebcc;
    }

.panel-danger {
    border-color: #ebccd1;
}

    .panel-danger > .panel-heading {
        color: #a94442;
        background-color: #f2dede;
        border-color: #ebccd1;
    }

        .panel-danger > .panel-heading + .panel-collapse .panel-body {
            border-top-color: #ebccd1;
        }

    .panel-danger > .panel-footer + .panel-collapse .panel-body {
        border-bottom-color: #ebccd1;
    }

.form-group {
    margin-bottom: 15px;
}

.text-left {
    text-align: left;
}

.text-right {
    text-align: right;
}

.text-center {
    text-align: center;
}

.text-justify {
    text-align: justify;
}

.text-muted {
    color: #999;
}

.text-primary {
    color: #428bca;
}

a.text-primary:hover {
    color: #3071a9;
}

.text-success {
    color: #3c763d;
}

a.text-success:hover {
    color: #2b542c;
}

.text-info {
    color: #31708f;
}

a.text-info:hover {
    color: #245269;
}

.text-warning {
    color: #8a6d3b;
}

a.text-warning:hover {
    color: #66512c;
}

.text-danger {
    color: #a94442;
}

a.text-danger:hover {
    color: #843534;
}

.datatable-wrapper.no-header .datatable-container {
    border-top: 1px solid #d9d9d9;
}

.datatable-wrapper.no-footer .datatable-container {
    border-bottom: 1px solid #d9d9d9;
}

.dataTables_filter {
    float: right;
}

.datatable-top,
.datatable-bottom {
    padding: 8px 10px;
}

    .datatable-top > nav:first-child,
    .datatable-top > div:first-child,
    .datatable-bottom > nav:first-child,
    .datatable-bottom > div:first-child {
        float: left;
    }

    .datatable-top > nav:last-child,
    .datatable-top > div:not(first-child),
    .datatable-bottom > nav:last-child,
    .datatable-bottom > div:last-child {
        float: right;
    }

.datatable-selector {
    padding: 6px;
}

.datatable-input {
    padding: 6px 12px;
}

.datatable-info {
    margin: 7px 0;
}

/* PAGER */
.datatable-pagination ul {
    margin: 0;
    padding-left: 0;
}

.datatable-pagination li {
    list-style: none;
    float: left;
}

    .datatable-pagination li.datatable-hidden {
        visibility: hidden;
    }

.datatable-pagination a,
.datatable-pagination button {
    border: 1px solid transparent;
    float: left;
    margin-left: 2px;
    padding: 6px 12px;
    position: relative;
    text-decoration: none;
    color: #333;
    cursor: pointer;
}

    .datatable-pagination a:hover,
    .datatable-pagination button:hover {
        background-color: #d9d9d9;
    }

.datatable-pagination .datatable-active a,
.datatable-pagination .datatable-active a:focus,
.datatable-pagination .datatable-active a:hover,
.datatable-pagination .datatable-active button,
.datatable-pagination .datatable-active button:focus,
.datatable-pagination .datatable-active button:hover {
    background-color: #d9d9d9;
    cursor: default;
}

.datatable-pagination .datatable-ellipsis a,
.datatable-pagination .datatable-disabled a,
.datatable-pagination .datatable-disabled a:focus,
.datatable-pagination .datatable-disabled a:hover,
.datatable-pagination .datatable-ellipsis button,
.datatable-pagination .datatable-disabled button,
.datatable-pagination .datatable-disabled button:focus,
.datatable-pagination .datatable-disabled button:hover {
    pointer-events: none;
    cursor: default;
}

    .datatable-pagination .datatable-disabled a,
    .datatable-pagination .datatable-disabled a:focus,
    .datatable-pagination .datatable-disabled a:hover,
    .datatable-pagination .datatable-disabled button,
    .datatable-pagination .datatable-disabled button:focus,
    .datatable-pagination .datatable-disabled button:hover {
        cursor: not-allowed;
        opacity: 0.4;
    }

.datatable-pagination .datatable-pagination a,
.datatable-pagination .datatable-pagination button {
    font-weight: bold;
}

/* TABLE */
.datatable-table {
    max-width: 100%;
    width: 100%;
    border-spacing: 0;
    border-collapse: separate;
}

    .datatable-table > tbody > tr > td,
    .datatable-table > tbody > tr > th,
    .datatable-table > tfoot > tr > td,
    .datatable-table > tfoot > tr > th,
    .datatable-table > thead > tr > td,
    .datatable-table > thead > tr > th {
        vertical-align: top;
        padding: 8px 10px;
    }

    .datatable-table > thead > tr:first-child > th {
        background-color: red;
    }

    .datatable-table > thead > tr > th {
        vertical-align: bottom;
        text-align: left;
        border-bottom: 1px solid #d9d9d9;
    }

    .datatable-table > tfoot > tr > th {
        vertical-align: bottom;
        text-align: left;
        border-top: 1px solid #d9d9d9;
    }

    .datatable-table th {
        vertical-align: bottom;
        text-align: left;
    }

        .datatable-table th a {
            text-decoration: none;
            color: inherit;
        }

        .datatable-table th button,
        .datatable-pagination-list button {
            color: inherit;
            border: 0;
            background-color: inherit;
            cursor: pointer;
            text-align: inherit;
            font-family: inherit;
            font-weight: inherit;
            font-size: inherit;
        }

.datatable-sorter, .datatable-filter {
    display: inline-block;
    height: 100%;
    position: relative;
    width: 100%;
}

    .datatable-sorter::before,
    .datatable-sorter::after {
        content: "";
        height: 0;
        width: 0;
        position: absolute;
        right: 4px;
        border-left: 4px solid transparent;
        border-right: 4px solid transparent;
        opacity: 0.2;
    }


    .datatable-sorter::before {
        border-top: 4px solid #000;
        bottom: 0px;
    }

    .datatable-sorter::after {
        border-bottom: 4px solid #000;
        border-top: 4px solid transparent;
        top: 0px;
    }

.datatable-ascending .datatable-sorter::after,
.datatable-descending .datatable-sorter::before,
.datatable-ascending .datatable-filter::after,
.datatable-descending .datatable-filter::before {
    opacity: 0.6;
}

.datatable-filter::before {
    content: "";
    position: absolute;
    right: 4px;
    opacity: 0.2;
    width: 0;
    height: 0;
    border-left: 7px solid transparent;
    border-right: 7px solid transparent;
    border-radius: 50%;
    border-top: 10px solid #000;
    top: 25%;
}

.datatable-filter-active .datatable-filter::before {
    opacity: 0.6;
}

.datatable-empty {
    text-align: center;
}

.datatable-top::after, .datatable-bottom::after {
    clear: both;
    content: " ";
    display: table;
}

.tableHeader {
    background-color: rgb(0, 123, 255);
    color: white;
    text-align: center;
}

table.datatable-table:focus tr.datatable-cursor > td:first-child {
    border-left: 3px blue solid;
}

table.datatable-table:focus {
    outline: solid 1px black;
    outline-offset: -1px;
}

.captcha-container {
    position: relative;
    display: inline-block;
}

.captcha-input {
    margin-left: 20px;
    flex-grow: 1;
}

.refresh-button {
    position: absolute;
    top: 0;
    right: 0;
    background-color: transparent;
    border: none;
    cursor: pointer;
}

.status-bar {
    position: fixed;
    bottom: 0;
    width: 100%;
    background-color: #333;
    color: white;
    text-align: center;
    padding: 10px 0;
    font-size: 14px;
}

/* Css Ribon menu */
.ribbon {
    display: flex;
    background-color: #bfdbfe;
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 10px;
    color: #15428b;
    border-bottom: 1px solid #6e99d2;
    gap: 10px; /* khoảng cách giữa các mục trong ribbon */
}

.mnuRibbon {
    padding: 10px;
    margin-top: 5px;
}

    .mnuRibbon:hover {
        background-image: url('../../Content/images/ribbon-hoverd.png');
        background-size: contain;
        border-left: 1px solid #6e99d2;
        border-top-left-radius: 5px;
        border-top: 1px solid #6e99d2;
        border-top-right-radius: 5px;
        border-right: 1px solid #6e99d2;
        margin-bottom: -1px;
    }

.mnuRibbonActive {
    background-image: url('../../Content/images/ribbon.png');
    background-size: contain;
    font-weight: bold;
    border-left: 1px solid #6e99d2;
    border-top-left-radius: 5px;
    border-top: 1px solid #6e99d2;
    border-top-right-radius: 5px;
    border-right: 1px solid #6e99d2;
    margin-bottom: -1px; /* đẩy lên đè lên border của ribbon */
}

.ribbon-content {
    background-image: url('../../Content/images/ribbon-content.png');
    background-size: contain;
    display: flex;
    padding: 7px;
    height: auto;
    background-color: #f8f9fa;
    border: 1px solid #6e99d2;
    border-top: none; /* bỏ border trên cùng */
    margin-bottom: 5px; /* khoảng cách dưới cùng */
}

.ribbon-group {
    display: flex;
    flex-direction: column;
    height: 91px; /* chiều cao của mỗi nhóm */
    margin-right: 10px; /* khoảng cách giữa các nhóm */
    border: 1px solid #6e99d2; /* viền xung quanh nhóm */
    border-radius: 3px; /* bo góc nhẹ */
    color: #15428b;
}

.ribbon-group-title {
    color: #15428b;
    display: flex;
    flex-direction: row;
    margin-top: auto;
    font-weight: bold;
    font-size: 0.5rem;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: 22px; /* chiều cao của tiêu đề nhóm */
    padding: 5px;
    background-color: #c2d9f1; /* màu nền cho tiêu đề nhóm */
    border-top: 1px solid #6e99d2;
    box-shadow: inset 0 0 0 1px white; /* viền trong cho tiêu đề nhóm */
}

.ribbon-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    min-width: 51px;
    width: auto;
    height: auto; /* chiều cao của mỗi mục */
    margin: 3px 3px; /* khoảng cách giữa các mục */
    background-color: transparent; /* màu nền cho mục */
    border-radius: 3px; /* bo góc nhẹ cho mục */
    cursor: pointer; /* con trỏ chuột khi hover */
    color: #15428b;
}

    .ribbon-item:hover {
        background-color: #d2d2d2;
    }

    .ribbon-item img {
        padding-top: 10px;
    }

    .ribbon-item span {
        text-align: center;
        font-size: 12px;
        color: #15428b;
        white-space: nowrap;
        flex-wrap: nowrap; /* không cho phép xuống dòng */
    }

.ribbon-wrapper {
    display: flex;
    justify-content: center;
    gap: 10px;
    padding-left: 10px;
    padding-right: 10px;
    color: #15428b;
}

.one-line {
    white-space: nowrap;
    flex-wrap: nowrap; /* không cho phép xuống dòng */
}

.input-group-append {
    display: flex;
    margin-left: -1px; /* Loại bỏ viền trùng lặp giữa input và phần tử append */
}

    .input-group-append .btn {
        position: relative;
        z-index: 2; /* Đảm bảo nút hiển thị phía trên input */
    }

        .input-group-append .btn + .btn,
        .input-group-append .btn + .input-group-text,
        .input-group-append .input-group-text + .input-group-text,
        .input-group-append .input-group-text + .btn {
            margin-left: -1px; /* Gộp viền giữa các phần tử */
        }

.img16 {
    width: 16px;
    height: 16px;
    background-size: cover;
    display: inline-block;
}

.img32 {
    width: 32px;
    height: 32px;
    background-size: cover;
    display: inline-block;
}

.view-pdf-container {
    display: flex;
    overflow-x: auto;
    align-items: center;
    text-align: center;
    width: 100% !important;
    height: 225px;
    justify-content: center;
    background-color: #55595c;
}

    .view-pdf-container canvas {
        width: 100% !important; /* Canvas co giãn theo khung chứa */
        height: auto !important; /* Giữ tỷ lệ gốc */
        display: block; /* Tránh khoảng trắng dư thừa */
        margin-bottom: 20px; /* Khoảng cách giữa các trang PDF */
        box-shadow: 0 0 10px rgba(0,0,0,0.1); /* Tạo viền nhẹ cho đẹp */
        border-radius: 4px; /* Bo góc nhẹ */
    }

.carousel-indicators [data-bs-target] {
    border-radius: 3px !important;
    width: 16px !important;
    height: 6px !important;
}
/* Khi rê chuột lên các hàng dữ liệu (tbody) của bảng #VProduce, hiển thị con trỏ bàn tay */
#VProduce tbody tr:hover {
    cursor: pointer !important;
}
